Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I had openssh running just fine on cygwin. But after a recent update of openssh, I start getting the segmentation fault error when starting ssh-agent. Has anyone encountered such behavior and how can I resolve it? Many thanks.

$ ssh-agent
Segmentation fault (core dumped)

$ cat ssh-agent.exe.stackdump
Exception: STATUS_ACCESS_VIOLATION at eip=00403D0E
eax=00000001 ebx=E577AAB4 ecx=00000000 edx=611551C4 esi=00000A90 edi=612263A4
ebp=0022CD48 esp=0022CC60 program=C:\cygwin\bin\ssh-agent.exe, pid 3508, thread main
cs=001B ds=0023 es=0023 fs=003B gs=0000 ss=0023
Stack trace:
Frame     Function  Args
0022CD48  00403D0E  (61227AAA, 00000000, 0022CD88, 61006E73)
0022CD88  61006E73  (00000000, 0022CDC4, 61006720, 7FFDE000)
End of stack trace
share|improve this question
1  
Have you tried switching back to the old version of openssh? Or at least switching to a different version? Might not address your problem directly, but is probably the quickest solution. –  Jarvin Sep 30 '10 at 21:44

1 Answer 1

up vote 1 down vote accepted

Switching back to the previous version worked for me. I was seeing the same behavior as OP. The version I have now is 5.5p1 (working). The newer version (5.6, I think), is not working.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.